Bug 188913 - metacity segmentation fault
Summary: metacity segmentation fault
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: fontconfig   
(Show other bugs)
Version: 5
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-13 14:34 UTC by Michael Duersch
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-08 02:57:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
corrupted(?) fonts cache file (49.97 KB, application/octet-stream)
2006-04-13 14:34 UTC, Michael Duersch
no flags Details

Description Michael Duersch 2006-04-13 14:34:27 UTC
Description of problem:
For an unknown reason, the ~/.rh-fontconfig/.fonts.cache-2 became corrupted,
causing metacity to abort with "segmentation fault".  The end result is the
inability to log into Gnome using that account until the ~/.rh-fontconfig
directory is removed.

Version-Release number of selected component (if applicable):
metacity-2.14.0-1

How reproducible:
Always, once the fonts cache file has become "corrupted?"

Additional info:
I've attached the offending .fonts.cache-2 file in case it's of any value.

Comment 1 Michael Duersch 2006-04-13 14:34:27 UTC
Created attachment 127709 [details]
corrupted(?) fonts cache file

Comment 2 Hans Ecke 2006-07-20 18:14:23 UTC
This is not a metacity bug but fontconfig. It happens on my systems as well.

Please change component to fontconfig and adjust summary.

Comment 3 Søren Sandmann Pedersen 2006-09-08 02:57:36 UTC
I believe this fontconfig bug should be fixed in rawhide.


Note You need to log in before you can comment on or make changes to this bug.